MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029278Open CASCADE[OCCT] PRODUCTS:Testspublic2017-10-31 13:072018-06-29 21:19
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformmacOSOSHigh SierraOS Version10.13
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029278: Tests, env.sh - Problem with detection of liblzma.5.dylib during loading environment
DescriptionUsing native zlib and lzma on macOS leads to loading incompatible library liblzma.5.dylib located in /usr/lib.
> otool -L /usr/lib/liblzma.5.dylib
> /usr/lib/liblzma.5.dylib (compatibility version 6.0.0, current version 6.3.0)

But libTKJTTest.dylib needs:
/usr/local/opt/xz/lib/liblzma.5.dylib (compatibility version 8.0.0, current version 8.2.0)

Correct library is located in /usr/local/opt/xz/lib but it is searched in the wrong path /usr/lib which goes first in variable DYLD_LIBRARY_PATH.

but liblzma.5.dylib provides version 6.0.0
Steps To Reproducebuild JT on macOS using following 3rdparty:
LZMA_DIR="/usr/local/opt/xz/lib"
ZLIB_DIR="/usr/lib"
Draw[]> pload -DrawPluginProducts JT
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0071871)
apn (administrator)
2017-10-31 14:25

Dear ski, could you please review products branch CR29278.
(0071963)
bugmaster (administrator)
2017-11-02 18:36

Fix has been integrated into master of occt-products repository

- Issue History
Date Modified Username Field Change
2017-10-31 13:07 apn New Issue
2017-10-31 13:07 apn Assigned To => apn
2017-10-31 13:49 apn Test case number => Not needed
2017-10-31 13:49 apn Category OCCT:Tests => PRODUCTS:Tests
2017-10-31 14:25 apn Note Added: 0071871
2017-10-31 14:25 apn Assigned To apn => ski
2017-10-31 14:25 apn Status new => resolved
2017-10-31 14:54 ski Assigned To ski => bugmaster
2017-10-31 14:54 ski Status resolved => reviewed
2017-11-01 13:12 bugmaster Status reviewed => tested
2017-11-02 18:36 bugmaster Note Added: 0071963
2017-11-02 18:36 bugmaster Status tested => verified
2017-11-02 18:36 bugmaster Resolution open => fixed
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker